import h from 'virtual-dom/h'
import Ajaxqueue from 'ajax_queue'
//import Settings from 'settings'

function Meteogram(args) {
	var self = this

	var o = this.options = extend({
		width: 525,
		height: 120,
		priority: 'very-high',
	}, args);

	var viewport = {
		top: 0,
		left: 0,
		width: o.width,
		height: o.height
	}

	var json = extend({
			product: o.product,
			viewport: viewport,
			height_adjustment: o.heightAdjustment
		},
		viewport,
		o.location
	);

	Ajaxqueue({
		url: '/backend/meteogram/',
		json: json,
		//status: ECMWF.ajax_loader(self.clip),
		priority: o.priority,
		logErrors: 'Meteogram',
		//img: self.img,
		//name: self.name,
		//tag: self.name,
		complete: function(result) {
			if(result){
				if(result.url !== self.src){
					self.src = result.url
					o.renderer.render()
				}
			}
		}
	})
}

Meteogram.prototype = {
	render: function() {
		return h('li', this.src ? [h('img', {src: this.src})] : '')
	}
}

export default Meteogram
