
import RenderTree from 'render-tree'
import h from 'virtual-dom/h'
import ThumbnailList from './thumbnail_list'

function ThumbnailListRenderer(options) {
	var self = this

	var o = this.options = extend({
		products: null,
		el: null,
	}, options);

	this.vdom = new RenderTree({
		main: {
			render: function(){
				return self.product_list.render()
			}
		},
		root: o.el,
	})

	this.product_list = new ThumbnailList({
		products: o.products,
		renderer: this.vdom
	})
}

ThumbnailListRenderer.prototype = {
}

export default ThumbnailListRenderer;
