
import $ from 'jquery'
import RenderTree from 'render-tree'
import h from 'virtual-dom/h'
import LayerList from './2'

function LayerListRenderer(options) {
	var self = this;

	var o = this.options = $.extend({
		el: null,
	}, options);

	self.vdom = new RenderTree({
		main: {
			render: function(){
				return self.layer_list.render()
			}
		},
		root: o.el
	})

	self.layer_list = new LayerList({
		renderer: self.vdom
	})
}

LayerListRenderer.prototype = {
}

export default LayerListRenderer;
