import $ from 'jquery'
import Toolbar from 'toolbar'
import Bus from 'bus'
import Units from 'unit'
import loc from 'chart/model/location'

var name = 'goto-marker';
var text = 'Zoom to marker';

Toolbar.register(name, function (toolbar, callback) {
	return new $.Tool(name, toolbar, {
		callback: callback,
		tip: function () {
			return text;
		}
	})
});

loc.subscribe(function(pt) {
	text = 'Zoom to ' + (pt.title ? pt.title : Units.formatGeoLocation(pt));
});

