import Ajaxqueue from 'ajax_queue'
import RenderTree from 'render-tree'
import Settings from 'settings'
import h from 'virtual-dom/h'
import Tabs from 'dashboard/model'
import User from 'user_info'
import DashboardSet from './set'
import './dash.css'

// TODO dom is usually already loaded but we should be 100% sure
//document.addEventListener('DOMContentLoaded', function(event) {
//})

User.info.then(function(user) {
	Settings.data.then(function(){
		user.user_name && Tabs.load.then(function(dashboard_set){
			var vdom = new RenderTree({
				root: document.querySelector('#application'),
				main: {
					render: function() {
						return set.render()
					}
				}
			})

			var set = new DashboardSet({data: dashboard_set, renderer: vdom})

			vdom.render()
		})
	})
})
