import h from 'virtual-dom/h'
import CityAutocomplete from 'city-autocomplete/2'

function Cities(args) {
	this.autocomplete = new CityAutocomplete({
		id: 'cities',
		renderer: args.renderer
	})
}

Cities.prototype = {
	render: function() {
		return h('.body', [
			h('.cities-inner', [
				this.autocomplete.render()
			])
		])
	}
}

export default Cities
