import h from 'virtual-dom/h'
import Multigrams from '../multigrams'
import eccharts from 'eccharts-2'
import location from 'chart/model/location'

function Meteograms(options) {
	var chart = eccharts.chart()

	this.multigrams = new Multigrams({
		location: location,
		renderer: options.renderer
	})
}

Meteograms.prototype = {
	render: function() {
		return h('.body', this.multigrams.render())
	}
}

export default Meteograms
