import h from 'virtual-dom/h'
import Form from 'vform'
//import 'select-image'

function ThumbnailHandler() {

	this.render = function(item) {
		var checked  = {};
		item.defaults().forEach(function(def) { checked[def] = true; });

		/*
		var urls = {};

		$.each(item.get_values(), function(i, value) {

			urls[value] = label.url;
		});

		select.change(function() {
			img.attr('src', urls[select.val()]);
		})

		select.selectImage(item._item);
		*/

		var img = {}

		var values = item.values().map(function(value){
			var label = item.label(value)
			if(checked[value]) {
// TODO
//				opt.prop('selected', 'selected');
				img.src = label.url
				if(label.fetch_image) {
					label.fetch_image(img, function(url) {
						urls[value] = label.url = url;
					})
				}
			}
			if(value === item.value()){
				img.src = label.url
			}

			return h('option', {value: value, text: label.title, title: label.url, attributes: {}});
		})

		return h('.form-thumbnail-item-wrapper', [
			h('img', img),
			h('select.form-thumbnail-item', values)
		])
	}

	this.collect = function (item, el) {
		var select = document.querySelector(el + ' select');
		return select.options[select.selectedIndex].value
	}
}

Form.add_handler('thumbnail', ThumbnailHandler);
